ASP.NET Ajax Q1 2011 and Visual Studio 2005

6 posts, 1 answers
  1. Alain
    Alain avatar
    33 posts
    Member since:
    Feb 2009

    Posted 19 Mar 2011 Link to this post


    I would like to know if ASP.NET Ajax Q1 2011 has still the Visual Studio 2005 support? Or it has been dropped?

    On my Windows, Visual Studio 2005 and SQL Server 2005 are installed, with Framework .NET 2.0.
    I wanted to install this new Q1 2011 and what was my surprise that the installer requieres the Framework .NET 3.5 or 4 to be running.

    If Q1 2011 has still Visual Studio 2005 support, what to do to install it without installing the Framework .NET 3.5 or 4?

    Thank your for your answer,
  2. Answer
    Biliana Ficheva
    Biliana Ficheva avatar
    99 posts

    Posted 21 Mar 2011 Link to this post

    Hi Alain,

    We discontinued the .NET 2.0 and Visual Studio 2005 support as of Q1 2011.
    If you need the Visual Studio 2005 integration you will have to reinstall the VS Extensions. This can be done if you perform modify operation of your older RadControls for ASP.NET AJAX installer and enable the Visual Studio 2005 extension feature.

    Kind regards,
    the Telerik team
  3. DevCraft R3 2016 release webinar banner
  4. swells
    swells avatar
    3 posts
    Member since:
    Jul 2008

    Posted 13 Apr 2011 Link to this post

    Okay, here's my situation.  I've built projects for that platform 2.0 and VS 2005.  No problem.  All's right with the world on my current development machine.  Except I have to upgrade to a new machine running windows 7.  What version do I need to install to be able to keep my projects working when I move them to that new development machine?  Funny as this sounds, I haven't been able to figure out what version of Rad Controls for ASP.NET AJAX I'm currently running.  Must be a state secret or something or I'm just dumb and can't find it. 
  5. Biliana Ficheva
    Biliana Ficheva avatar
    99 posts

    Posted 14 Apr 2011 Link to this post

    Hi Steve,

    You can see the version of the RadControls in your Visual Studio. Open your project, go to the References node and select one of the Telerik assemblies, right click on it and select Properties. There you will see the version of the RadControls for AJAX.

    On the new machine you should just install the same version of the RadControls for AJAX in order to keep your projects working.

    the Telerik team

    Browse the vast support resources we have to jump start your development with RadControls for ASP.NET AJAX. See how to integrate our AJAX controls seamlessly in SharePoint 2007/2010 visiting our common SharePoint portal.

  6. Dean Killam
    Dean Killam avatar
    19 posts
    Member since:
    Apr 2008

    Posted 26 Aug 2011 Link to this post

    Our company just puchased RadControls for ASP.NET Ajax v. Q1 2011. However, I'm running VS2005 with upgrade path to VS2010 later this year/early next year. Is it possible to download a previous installer/version or RadControls that would allow me to use the controls (or previous versions of the controls) in VS2005 right now? If so, can you provide the link or some method of getting that build? Thanks.
  7. Erjan Gavalji
    Erjan Gavalji avatar
    1455 posts

    Posted 26 Aug 2011 Link to this post

    Hi Dean,

    You can get an older version of the RadControls installer through Your Account.
    Here is the direct link to the latest release with VS2005 support.

    Kind regards,
    Erjan Gavalji
    the Telerik team

    Thank you for being the most amazing .NET community! Your unfailing support is what helps us charge forward! We'd appreciate your vote for Telerik in this year's DevProConnections Awards. We are competing in mind-blowing 20 categories and every vote counts! VOTE for Telerik NOW >>

Back to Top
DevCraft R3 2016 release webinar banner